
Ruby - Bug #6182

ruby crashed with trace inof below !(Ruby interpreter or extension libraries)

03/21/2012 03:20 PM - nitin (nitin arya)

Status: Closed   

Priority: Normal   

Assignee:    

Target version: 1.9.2   

ruby -v: ruby 1.9.2p290 (2011-07-09 revision

32553) [i686-linux]

Backport:  

Description

/home/bourne/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/1.9.1/timeout.rb:75: [BUG] rb_register_sigaltstack. malloc error

ruby 1.9.2p290 (2011-07-09 revision 32553) [i686-linux]

-- control frame ----------

c:0006 p:---- s:0024 b:0024 l:000023 d:000023 CFUNC  :initialize

c:0005 p:---- s:0021 b:0021 l:000020 d:000020 CFUNC  :start

c:0004 p:0102 s:0018 b:0018 l:0026d8 d:0026d8 METHOD

/home/bourne/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/1.9.1/timeout.rb:49

c:0003 p:0017 s:0006 b:0006 l:001f0c d:fffff3f4 BLOCK  huntGTP.rb:77

c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH

c:0001 p:---- s:0002 b:0002 l:000001 d:000001 TOP

-- C level backtrace information -------------------------------------------

/home/bourne/.rvm/rubies/ruby-1.9.2-p290/lib/libruby.so.1.9(rb_vm_bugreport+0x72) [0xb7664f72]

/home/bourne/.rvm/rubies/ruby-1.9.2-p290/lib/libruby.so.1.9(+0x54123) [0xb7541123]

/home/bourne/.rvm/rubies/ruby-1.9.2-p290/lib/libruby.so.1.9(rb_bug+0x33) [0xb7541e13]

/home/bourne/.rvm/rubies/ruby-1.9.2-p290/lib/libruby.so.1.9(+0x109a38) [0xb75f6a38]

/home/bourne/.rvm/rubies/ruby-1.9.2-p290/lib/libruby.so.1.9(+0x17c8db) [0xb76698db]

/home/bourne/.rvm/rubies/ruby-1.9.2-p290/lib/libruby.so.1.9(+0x17cf17) [0xb7669f17]

/lib/i386-linux-gnu/libpthread.so.0(+0x6d31) [0xb7344d31]

/lib/i386-linux-gnu/libc.so.6(clone+0x5e) [0xb742c0ce]

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

History

#1 - 03/21/2012 04:57 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Feedback

- Priority changed from 5 to Normal

Can you show us how we can see that output on our machine?

#2 - 03/21/2012 05:05 PM - naruse (Yui NARUSE)

Could you try it with trunk/1.9.3?

#3 - 10/31/2012 09:36 PM - mame (Yusuke Endoh)

- Status changed from Feedback to Closed

I think that this issue has been already fixed at r32749.  Closing.

--

Yusuke Endoh mame@tsg.ne.jp
